Loading...
Searching...
No Matches
Opm::ML::Tensor< T > Class Template Reference

Implements mathematical tensor (Max 4d). More...

## Public Member Functions

| Tensor (int i)
| Tensor (int i, int j)
| Tensor (int i, int j, int k)
| Tensor (int i, int j, int k, int l)
template<typename Sizes>
void | resizeI (const Sizes &sizes)
void | flatten ()
T & | operator() (int i)
T & | operator() (int i, int j)
const T & | operator() (int i, int j) const
T & | operator() (int i, int j, int k)
const T & | operator() (int i, int j, int k) const
T & | operator() (int i, int j, int k, int l)
const T & | operator() (int i, int j, int k, int l) const
void | fill (const T &value)
Tensor | operator+ (const Tensor &other)
Tensor | multiply (const Tensor &other)
Tensor | dot (const Tensor &other)
void | swap (Tensor &other)

## Public Attributes

std::vector< int > | dims_
std::vector< T > | data_

## Detailed Description

template<class T>
class Opm::ML::Tensor< T >

Implements mathematical tensor (Max 4d).

The documentation for this class was generated from the following file:

- opm/ml/ml_model.hpp